Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
user/formview.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
if(strstr( $_SERVER['HTTP_REFERER'], $ini->variable("eZFormMain", "FromURL"))||strstr($_SERVER['HTTP_REFERER'], $ini->variable("eZFormMain", "FromURL"))||strstr($HTTP_REFERER, $ini->variable("eZFormMain", "FromURL2"))) | else
if(isset( $Cancel)) | $ActionValue ="process"
| $form = new eZForm( $FormID )
if(!( $form->id() > 0)) | $errorMessages = array()
| $Language = $ini->variable( "eZFormMain", "Language" )
if(isset( $SectionIDOverride)) | $t
| $renderer = new eZFormRenderer( $form )
| $output =& $renderer->renderForm( $form )

## Variable Documentation

## ◆ $ActionValue

if (isset($Cancel)) $ActionValue ="process"

Definition at line 60 of file user/formview.php.

## ◆ $errorMessages

if (!($form->id() > 0)) $errorMessages = array()

Definition at line 69 of file user/formview.php.

## ◆ $form

$form = new eZForm( $FormID )

Definition at line 62 of file user/formview.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 37 of file user/formview.php.

## ◆ $Language

$Language = $ini->variable( "eZFormMain", "Language" )

Definition at line 71 of file user/formview.php.

## ◆ $output

$output =& $renderer->renderForm( $form )

Definition at line 100 of file user/formview.php.

## ◆ $renderer

$renderer = new eZFormRenderer( $form )

Definition at line 99 of file user/formview.php.

## ◆ $t

if (isset($SectionIDOverride)) $t

Initial value:
= new eZTemplate( "kernel/ezform/user/" . $ini->variable( "eZFormMain", "AdminTemplateDir" ),
"kernel/ezform/user/intl/", $Language, "form.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: user/formview.php:71
$ini
$ini
Definition: user/formview.php:37

Definition at line 82 of file user/formview.php.

## ◆ else

if (strstr($_SERVER[ 'HTTP_REFERER'], $ini->variable("eZFormMain", "FromURL"))||strstr( $_SERVER[ 'HTTP_REFERER'], $ini->variable("eZFormMain", "FromURL"))||strstr( $HTTP_REFERER, $ini->variable("eZFormMain", "FromURL2"))) else

Initial value:
{
die('eZFormMain is misconfigured: please check your site.ini')

Definition at line 42 of file user/formview.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.